<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class XM_SocioeconomicoConfi extends Model
{
    protected $table = 'XM_socioeconomico_confi';
    protected $connection = 'escolar';
    protected $fillable = ['confi_id', 'total_preguntas', 'inicio', 'cierre'];
    protected $dates = [ 'inicio', 'cierre' ];

    public function confi(){
        return $this->belongsTo('App\XM_Confi', 'confi_id', 'id');
    }

    public function socioeconomico(){
        return $this->hasMany('App\XM_Socioeconomico', 'socioeconomicoConfi_id', 'id');
    }


    
}